VRPlatformVRPlatform
Metrics

/metrics/listing-revenue

Listing revenue split by lock state and party

GET
/metrics/listing-revenue
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

listingId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
party*string
Value in"owners" | "manager"
dimension?string
Default"month"
Value in"month" | "week" | "day" | "year"
startDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary
endDate*string

Date boundary string. Accepted syntax: YYYY, YYYY-MM, or YYYY-MM-DD.

Formatvrp-date-boundary

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/metrics/listing-revenue?listingId=497f6eca-6276-4993-bfeb-53cbbbba6f08&party=owners&startDate=2024-01-15&endDate=2024-01-15"
{
  "data": [
    {
      "date": "string",
      "lockedRevenue": 0,
      "unlockedRevenue": 0,
      "currency": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}